<?php
/*
| PolarFox aka Psc | http://unlogic.info
| Forum attachments - page | Build: 1
*/
require_once 'maincore.php';
require_once THEMES.'templates/header.php';
require_once INCLUDES.'forum_include.php';
if (file_exists(LOCALE.LOCALESET.'forum_attachments.php')) {include LOCALE.LOCALESET.'forum_attachments.php';} 
else {include LOCALE.'English/forum_attachments.php';}

//settings
$sett['fat_listmax'] = 20;//max on page
$sett['fat_maxnb'] = 5;//max nav btns
$sett['fat_access'] = 0;//0 - guests

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if(!isset($_GET['direction']) || !in_array($_GET['direction'], array('ASC','DESC')) ) {$_GET['direction'] = 'DESC';}//def 1
if(!isset($_GET['orderby']) || !in_array($_GET['orderby'], 
	array('attach_id','attach_name','attach_size','attach_count','attach_ext','thread_id','thread_lastpost'))
	) {$_GET['orderby']='thread_lastpost';}//def 2

add_to_title($locale['global_200'].$locale['fat_title']);
if(checkgroup($sett['fat_access'])){
	function fat_sortlink($title,$sort){	
		if($sort == $_GET['orderby']){//selected
		$ret = '<a href="'.FUSION_SELF.'?rowstart='.$_GET['rowstart'].'&amp;orderby='.$sort.'&amp;direction='.($_GET['direction']=='DESC'?'ASC':'DESC').'">'.$title.'</a>';
		$ret .= '&nbsp;'.($_GET['direction']=='DESC'?'&uarr;':'&darr;');
		return '<strong>['.$ret.']</strong>';//R
		}
		else {//any
			return '<a href="'.FUSION_SELF.'?rowstart='.$_GET['rowstart'].'&amp;orderby='.$sort.'&amp;direction='.$_GET['direction'].'">'.$title.'</a>';//R
		}
	}

	$rows = dbcount('(attach_id)', DB_FORUM_ATTACHMENTS." INNER JOIN ".DB_THREADS." USING (thread_id)
			INNER JOIN ".DB_FORUMS." USING (forum_id)"
			,groupaccess('forum_access')." AND ".groupaccess('forum_attach_download')." AND thread_hidden='0'");//teh trick
	if (isset($_GET['rowstart']) && ($_GET['rowstart'] < 0 || $_GET['rowstart'] > $rows)) { $_GET['rowstart'] = 0; }

	if($rows){
		$result = dbquery("SELECT a.attach_id,a.thread_id,a.attach_name,a.attach_ext,a.attach_size,a.attach_count,
			t.thread_id,t.thread_subject
			FROM ".DB_FORUM_ATTACHMENTS." a 
			INNER JOIN ".DB_THREADS." t USING (thread_id)
			INNER JOIN ".DB_FORUMS." f USING (forum_id)
			WHERE ".groupaccess('f.forum_access')." AND ".groupaccess('f.forum_attach_download')." AND t.thread_hidden='0'
			ORDER BY ".($_GET['orderby']=='thread_id'?'a.thread_id':$_GET['orderby'])." ".$_GET['direction'].
				(($_GET['orderby']!='attach_id')?',attach_id DESC':'')."
			LIMIT ".$_GET['rowstart'].",".$sett['fat_listmax']);
			
		if (dbrows($result)) {
			opentable($locale['fat_title'].' ('.$rows.')');
			if ($rows > $sett['fat_listmax'])  {//pagenav top
				echo $pagenavcahe = '<div style="text-align:center;margin-bottom:10px;margin-top:10px;">'.
				makepagenav($_GET['rowstart'],$sett['fat_listmax'],$rows,$sett['fat_maxnb'],'?orderby='.$_GET['orderby'].'&amp;direction='.$_GET['direction'].'&amp;').'</div>';
			}
					
			echo '<table width="98%%" border="0" align="center" class="tbl-border">
			<tr>
				<th class="tbl">'.fat_sortlink($locale['fat_aname'],'attach_name').'&nbsp;&hArr;&nbsp;'.fat_sortlink($locale['fat_aid'],'attach_id').'&nbsp;&hArr;&nbsp;'.fat_sortlink($locale['fat_aext'],'attach_ext').'</th>
				<th class="tbl" width="15%">'.fat_sortlink($locale['fat_asize'],'attach_size').'</th>
				<th class="tbl" width="15%">'.fat_sortlink($locale['fat_acnt'],'attach_count').'</th>
				<th class="tbl">'.fat_sortlink($locale['fat_ftsubj'],'thread_id').'&nbsp;&hArr;&nbsp;'.fat_sortlink($locale['fat_ftlastp'],'thread_lastpost').'</th>
			</tr>';
			
			$i = 0;
			while ($data = dbarray($result)) {
				if (file_exists(FORUM.'attachments/'.$data['attach_name'])) {
					if (in_array($data['attach_ext'], $imagetypes) && @getimagesize(FORUM."attachments/".$data['attach_name'])) {
						$dl = '<a href="'.FORUM.'attachments/'.$data['attach_name'].'" target="blank">'.$data['attach_name'].'</a>';
					}
					else {//any
						$dl = '<a href="'.FUSION_SELF.'?getfile='.$data['attach_id'].'">'.$data['attach_name'].'</a>';
					}
				}
				else {$dl='<del>'.$data['attach_name'].'</del>';}//no file

				echo '<tr>
					<td class="tbl'.($i%2==0?'2':'1').'" align="left">'.$dl.'</td>
					<td class="tbl'.($i%2==0?'2':'1').'" width="15%">'.parsebytesize($data['attach_size']).'</td>
					<td class="tbl'.($i%2==0?'2':'1').'" width="15%">'.$data['attach_count'].'</td>
					<td class="tbl'.($i%2==0?'2':'1').'" align="right"><a href="'.FORUM.'viewthread.php?thread_id='.$data['thread_id'].'">'.$data['thread_subject'].'</a></td>
				</tr>';
				$i++;
			}
			
			echo '</table>';
			
			if ($rows > $sett['fat_listmax'])  {echo $pagenavcahe; }//pn
			closetable();
		}
		else {
			exit('It\'s a very big mistake!');
		}
	}
	else {
		opentable($locale['fat_title']);
		echo '<div style="text-align:center"><p>'.$locale['fat_noitems'].'</p><br /></div>';
		closetable();
	}
}
else {
	opentable($locale['fat_title']);
	echo '<div style="text-align:center"><p>'.$locale['fat_restr'].(iGUEST?$locale['fat_grestr']:'').'</p><br /></div>';
	closetable();
}
require_once THEMES."templates/footer.php";
?>